*"表題 線種タイトル GTOOL3(GGLINT)
*
*"履歴 90/10/12 沼口  敦
*"     97/12/01 竹広真一 SET -> STX
*
*********************************************************************
*"         << 線種タイトル表示 >>
*********************************************************************
      SUBROUTINE GGLINT
     I         ( HHEAD , HTYPE )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      CHARACTER  HTYPE      *(*)         !" 種類(CURV/MARK)
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HLINT      *(NCC)       !" 線種タイトル
      CHARACTER  HLTITM     *8           !" 線種タイトル識別子名
      REAL       VPX ( 2 ), VPY ( 2 )
*
      DATA       VPOFF /  2. /
      DATA       IROTA /  0  /
      DATA       ICENT / -1  /
      DATA       ILINZ /  0  /
      SAVE       VPOFF, IROTA, ICENT, ILINZ
*
      CALL GGPGET ( 'SREMK' , SREMK  )
      CALL GGCGET ( 'LTITEM', HLTITM )
      CALL GGPGET ( 'LTVX1' , VXL1   )
      CALL GGPGET ( 'LTVX2' , VXL2   )
      CALL GGPGET ( 'LTWDH' , VXW    )
*
      CALL GHCGET ( HHEAD, HLTITM, HLINT )
*
      CALL UZPGET ( 'ROFFXB' , ROFFX )
      CALL UZPGET ( 'PAD1'   , PAD   )
      CALL UZPGET ( 'INDEXL2', INDEX )
c$$$      CALL SUQVPT ( VXMIN, VXMAX, VYMIN, VYMAX )
      CALL SGQVPT ( VXMIN, VXMAX, VYMIN, VYMAX )
*
      ILINZ = ILINZ + 1
      IF (  ( VXL1.EQ.VXL2 ) .OR. ( MOD(ILINZ,2).EQ.1 )  ) THEN
         ROFFX = ROFFX - SREMK*(PAD+1.)
         CALL UZPSTX ( 'ROFFXB' , ROFFX )
         VPX(1) = VXL1
      ELSE
         VPX(1) = VXL2
      ENDIF
      VPX(2) =  VPX(1) + VXW
      VX     =  VPX(2) + SREMK*VPOFF
*
      VPY(1) =  VYMIN + ROFFX
      VPY(2) =  VPY(1)
      VY     =  VPY(1)
*
      IF ( HTYPE(1:1) .EQ. 'C' ) THEN
         CALL SGPLV  ( 2, VPX, VPY )
      ELSE
         CALL SGPMV  ( 1, VPX(2), VPY(2) )
      ENDIF
      CALL SGTXZV ( VX, VY, HLINT, SREMK, IROTA, ICENT, INDEX )
*
      RETURN
*=====================================================================
*"         << 線種タイトル表示リセット >>
*=====================================================================
      ENTRY      GGLTRS
*
      ILINZ = 0
*
      RETURN
      END
